!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_17) = -2d0*gs
      coupl(nGC_16) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_15) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_14) = ee**2d0/(2d0*cw)
      coupl(nGC_13) = -ee**2d0/(2d0*cw)
      coupl(nGC_12) = ca*ee**2d0/(4d0*cw**2d0)
      coupl(nGC_11) = -ca*ee**2d0/(4d0*cw**2d0)
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_19) = cima*gs
      coupl(nGC_18) = -gs
      coupl(nGC_999) = -ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_998) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_997) = -ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_996) = ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_995) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_994) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
      coupl(nGC_993) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
      coupl(nGC_992) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_991) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_990) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_527) = -coupl(nGC_214)
      coupl(nGC_1120) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1121) = sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_858) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_859) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_857) = cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_854) = ee**2d0/sw
      coupl(nGC_852) = -ee**2d0/sw
      coupl(nGC_853) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_850) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_851) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_601) = -coupl(nGC_194)
      coupl(nGC_1081) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_553) = -2d0*coupl(nGC_98)
      coupl(nGC_889) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_888) = -cima*ee**2d0*sa/sw
      coupl(nGC_1153) = cima*(-ca*l3*vevs + l1*sa*vev)
      coupl(nGC_1152) = -cima*l3*sa
      coupl(nGC_1151) = -ca*cima*l1
      coupl(nGC_1150) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                        2d0*sw**2d0)
      coupl(nGC_1157) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_1156) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_1155) = -cima*sa*vevs
      coupl(nGC_1154) = -ca*cima*vev
      coupl(nGC_1159) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1158) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_849) = -cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_848) = cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_845) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_844) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_841) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_840) = 3d0*ca*cima*sa**3d0
      coupl(nGC_843) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_842) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3)
      coupl(nGC_1207) = -4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1206) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1205) = -4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1204) = sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_1203) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1202) = 2d0*cima*ee**2d0
      coupl(nGC_1201) = -2d0*cima*ee**2d0
      coupl(nGC_1200) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_1209) = -4d0*cima*ee**2d0
      coupl(nGC_1208) = 4d0*cima*ee**2d0
      coupl(nGC_545) = -coupl(nGC_202)
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_547) = -coupl(nGC_226)
      coupl(nGC_383) = sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_381) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_387) = cima*gs
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_1146) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1147) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1148) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_1149) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_126) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_127) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
      coupl(nGC_124) = cima*ee*sw/cw
      coupl(nGC_125) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_122) = cima*ee*sw/(3d0*cw)
      coupl(nGC_123) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_120) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_121) = cima*ee**2d0*sa/sw
      coupl(nGC_128) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_129) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_577) = -coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_878) = -sqrt(2d0)/2d0
      coupl(nGC_879) = -2d0*cima*ee**2d0/sw
      coupl(nGC_870) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_871) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_I) = cima
      coupl(nGC_875) = cima*ee**2d0/sw
      coupl(nGC_876) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_877) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1216) = -ee**2d0/cw
      coupl(nGC_1210) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1211) = sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_1179) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1178) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_1215) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_1175) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                        2d0*sw**2d0)
      coupl(nGC_1174) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_1177) = cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_1176) = -cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_1171) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_1173) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_1172) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_135) = -cw*ee*sa/(2d0*sw) - ee*sa*sw/(2d0*cw)
      coupl(nGC_134) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_136) = cw*ee*sa/(2d0*sw) + ee*sa*sw/(2d0*cw)
      coupl(nGC_131) = ca*cw*ee/(2d0*sw) + ca*ee*sw/(2d0*cw)
      coupl(nGC_130) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
      coupl(nGC_133) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
      coupl(nGC_132) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
      coupl(nGC_139) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 -    &
                       cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_138) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0  &
                        - cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_866) = -cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_865) = ca*cima*ee**2d0/sw
      coupl(nGC_864) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_860) = -sqrt(2d0)/2d0
      coupl(nGC_1197) = -cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)**&
                        2d0/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_1196) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_1195) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1194) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1193) = 2d0*cima*ee
      coupl(nGC_1192) = -2d0*cima*ee
      coupl(nGC_1191) = -sqrt(2d0)/2d0
      coupl(nGC_1190) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_1199) = -ca*cima*ee**2d0/sw
      coupl(nGC_1198) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1221) = cima*ee**2d0*sa/cw
      coupl(nGC_1220) = -cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_1223) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_1222) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1225) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1224) = ee**2d0/cw
      coupl(nGC_1227) = -2d0*gs
      coupl(nGC_1226) = sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_1229) = sqrt(2d0)/2d0
      coupl(nGC_1228) = -gs
      coupl(nGC_321) = -cima*(3d0*ca**3d0*l2*vevs - 2d0*ca**3d0*l3*vevs + 6d0* &
                       ca**2d0*l1*sa*vev - 7d0*ca**2d0*l3*sa*vev - 6d0*ca*l2*sa&
                       **2d0*vevs + 7d0*ca*l3*sa**2d0*vevs - 3d0*l1*sa**3d0*vev&
                        + 2d0*l3*sa**3d0*vev)
      coupl(nGC_1012) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1013) = -ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                        *sw**2d0)
      coupl(nGC_1010) = sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_1011) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1014) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_1162) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_1163) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                        2d0*sw**2d0)
      coupl(nGC_1160) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1161) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_1164) = -cima*ee
      coupl(nGC_100) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_101) = ca*cima*ee/(2d0*sw)
      coupl(nGC_102) = -cima*cw*ee/sw
      coupl(nGC_103) = cima*cw*ee/sw
      coupl(nGC_104) = -2d0*cima*cw*ee/sw
      coupl(nGC_105) = 2d0*cima*cw*ee/sw
      coupl(nGC_106) = -ee**2d0/sw
      coupl(nGC_107) = -ee**2d0/(2d0*sw)
      coupl(nGC_108) = ee**2d0/(2d0*sw)
      coupl(nGC_109) = ee**2d0/sw
      coupl(nGC_569) = -coupl(nGC_105)/2d0
      coupl(nGC_812) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_813) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_810) = ca*cima*ee/(2d0*sw)
      coupl(nGC_811) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_816) = -ca**2d0*cima
      coupl(nGC_817) = -cima*sa**2d0
      coupl(nGC_814) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_815) = 2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_1187) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1180) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1181) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_1182) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_1183) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                        2d0*sw**2d0)
      coupl(nGC_910) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_1188) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1189) = cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_922) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_920) = ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_921) = -ca*cima*ee**2d0/cw
      coupl(nGC_1238) = 2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_1239) = -2d0*cima
      coupl(nGC_1236) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_1237) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_1234) = sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_1235) = 2d0*cima*gs**2d0
      coupl(nGC_1232) = -cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_1233) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1230) = -ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_1231) = ca*cima*ee**2d0/cw
      coupl(nGC_611) = -coupl(nGC_5)/2d0
      coupl(nGC_613) = -2d0*coupl(nGC_4)
      coupl(nGC_615) = -2d0*coupl(nGC_72)
      coupl(nGC_617) = coupl(nGC_74)/2d0
      coupl(nGC_619) = -coupl(nGC_74)
      coupl(nGC_119) = -cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_118) = cima*ee*sa/(2d0*sw)
      coupl(nGC_117) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_116) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_115) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_114) = cima*cw*ee**2d0/sw
      coupl(nGC_113) = -cima*cw*ee**2d0/sw
      coupl(nGC_112) = -ca*cima*ee**2d0/sw
      coupl(nGC_111) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_110) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_559) = -coupl(nGC_198)
      coupl(nGC_551) = -2d0*coupl(nGC_131)
      coupl(nGC_589) = -coupl(nGC_98)
      coupl(nGC_585) = -coupl(nGC_18)
      coupl(nGC_587) = -coupl(nGC_17)/2d0
      coupl(nGC_581) = -2d0*coupl(nGC_21)
      coupl(nGC_583) = -coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_607) = -2d0*coupl(nGC_117)
      coupl(nGC_605) = -2d0*coupl(nGC_101)
      coupl(nGC_529) = coupl(nGC_10)/2d0
      coupl(nGC_525) = -2d0*coupl(nGC_135)
      coupl(nGC_637) = -coupl(nGC_100)
      coupl(nGC_635) = -2d0*coupl(nGC_128)
      coupl(nGC_523) = -coupl(nGC_103)
      coupl(nGC_633) = -2d0*coupl(nGC_3)
      coupl(nGC_521) = -coupl(nGC_4)
      coupl(nGC_631) = -2d0*coupl(nGC_130)
      coupl(nGC_567) = coupl(nGC_5)/2d0
      coupl(nGC_565) = -coupl(nGC_130)
      coupl(nGC_599) = coupl(nGC_105)/2d0
      coupl(nGC_609) = -coupl(nGC_128)
      coupl(nGC_593) = -coupl(nGC_104)/2d0
      coupl(nGC_561) = coupl(nGC_104)/2d0
      coupl(nGC_597) = -coupl(nGC_102)
      coupl(nGC_595) = coupl(nGC_6)/2d0
      coupl(nGC_575) = coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_571) = -coupl(nGC_101)
      coupl(nGC_573) = coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_579) = -coupl(nGC_21)
      coupl(nGC_639) = -2d0*coupl(nGC_127)
      coupl(nGC_557) = -coupl(nGC_3)
      coupl(nGC_603) = -2d0*coupl(nGC_118)
      coupl(nGC_539) = -coupl(nGC_6)/2d0
      coupl(nGC_625) = -2d0*coupl(nGC_100)
      coupl(nGC_627) = coupl(nGC_17)/2d0
      coupl(nGC_623) = -coupl(nGC_136)
      coupl(nGC_629) = -coupl(nGC_118)
      coupl(nGC_555) = -coupl(nGC_116)/2d0
      coupl(nGC_549) = -coupl(nGC_117)
      coupl(nGC_541) = 2d0*coupl(nGC_21)
      coupl(nGC_543) = -2d0*coupl(nGC_8)
      coupl(nGC_531) = -coupl(nGC_10)
      coupl(nGC_535) = -2d0*coupl(nGC_136)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
