!******************************************************************************!
!                                                                              !
!    ctparameter112.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter112.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter112
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter112()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMZ2_MS_QED2 = DeltaUV*(2d0*Nc*cMB**2d0*coupl(nGC_122)**2d0 - 4d0*Nc*cMB**2d0&
                 *coupl(nGC_122)*coupl(nGC_125) + 2d0*Nc*cMB**2d0*coupl(nGC_125&
                 )**2d0 + 2d0*Nc*cMC**2d0*coupl(nGC_123)**2d0 - 4d0*Nc*cMC**2d0&
                 *coupl(nGC_123)*coupl(nGC_126) + 2d0*Nc*cMC**2d0*coupl(nGC_126&
                 )**2d0 + 2d0*Nc*cMD**2d0*coupl(nGC_122)**2d0 - 4d0*Nc*cMD**2d0&
                 *coupl(nGC_122)*coupl(nGC_125) + 2d0*Nc*cMD**2d0*coupl(nGC_125&
                 )**2d0 + 2d0*Nc*cMS**2d0*coupl(nGC_122)**2d0 - 4d0*Nc*cMS**2d0&
                 *coupl(nGC_122)*coupl(nGC_125) + 2d0*Nc*cMS**2d0*coupl(nGC_125&
                 )**2d0 + 2d0*Nc*cMT**2d0*coupl(nGC_123)**2d0 - 4d0*Nc*cMT**2d0&
                 *coupl(nGC_123)*coupl(nGC_126) + 2d0*Nc*cMT**2d0*coupl(nGC_126&
                 )**2d0 + 2d0*Nc*cMU**2d0*coupl(nGC_123)**2d0 - 4d0*Nc*cMU**2d0&
                 *coupl(nGC_123)*coupl(nGC_126) + 2d0*Nc*cMU**2d0*coupl(nGC_126&
                 )**2d0 - 2d0*Nc*cMZ**2d0*coupl(nGC_122)**2d0 - 2d0*Nc*cMZ**2d0&
                 *coupl(nGC_123)**2d0 - 2d0*Nc*cMZ**2d0*coupl(nGC_125)**2d0 -  &
                 2d0*Nc*cMZ**2d0*coupl(nGC_126)**2d0 + 2d0*cME**2d0*coupl(     &
                 nGC_124)**2d0 - 4d0*cME**2d0*coupl(nGC_124)*coupl(nGC_128) +  &
                 2d0*cME**2d0*coupl(nGC_128)**2d0 - cMHH**2d0*coupl(nGC_130)** &
                 2d0 - cima*cMHH**2d0*coupl(nGC_145)/2d0 - cMHL**2d0*coupl(    &
                 nGC_136)**2d0 - cima*cMHL**2d0*coupl(nGC_151)/2d0 + 2d0*cMM** &
                 2d0*coupl(nGC_124)**2d0 - 4d0*cMM**2d0*coupl(nGC_124)*coupl(  &
                 nGC_128) + 2d0*cMM**2d0*coupl(nGC_128)**2d0 + 2d0*cMTA**2d0*  &
                 coupl(nGC_124)**2d0 - 4d0*cMTA**2d0*coupl(nGC_124)*coupl(     &
                 nGC_128) + 2d0*cMTA**2d0*coupl(nGC_128)**2d0 + 8d0*cMW**2d0*  &
                 coupl(nGC_103)**2d0 - cMW**2d0*coupl(nGC_104)**2d0/2d0 - cMW**&
                 2d0*coupl(nGC_105)**2d0/2d0 + 2d0*cMW**2d0*coupl(nGC_128)**2d0&
                  - cima*cMW**2d0*coupl(nGC_141) + 4d0*cima*cMW**2d0*coupl(    &
                 nGC_85) + 2d0*cima*cMW**2d0*coupl(nGC_86) + 20d0*cMZ**2d0*    &
                 coupl(nGC_103)**2d0/3d0 + cMZ**2d0*coupl(nGC_104)**2d0/12d0 + &
                 cMZ**2d0*coupl(nGC_105)**2d0/12d0 - 2d0*cMZ**2d0*coupl(nGC_124&
                 )**2d0 - 7d0*cMZ**2d0*coupl(nGC_128)**2d0/3d0 - 2d0*cMZ**2d0* &
                 coupl(nGC_129)**2d0 - 2d0*cMZ**2d0*coupl(nGC_130)**2d0/3d0 -  &
                 2d0*cMZ**2d0*coupl(nGC_136)**2d0/3d0 - cima*cMZ**2d0*coupl(   &
                 nGC_142)/2d0 - 2d0*coupl(nGC_171)**2d0 - coupl(nGC_175)**2d0  &
                  - coupl(nGC_177)**2d0)/(16d0*pi**2d0) - cima*(coupl(nGC_177)*&
                 dtHl_MS_QED1/cMHL**2d0 + coupl(nGC_175)*dtHh_MS_QED1/cMHH**2d0&
                 )
    if (.not. complex_mass_scheme) then
      dMZ2_MS_QED2 = cone*real(dMZ2_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter112
end module ctparameter112
