!******************************************************************************!
!                                                                              !
!    ctparameter135.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter135.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter135
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter135()
  if (dZtauMinusL_QED2_scheme .eq. 0) then
    dZtauMinusL_QED2 = (2d0*Ten450*coupl(nGC_4)**2d0 + Ten451*(2d0*coupl(      &
                       nGC_128)**2d0 - coupl(nGC_222)**2d0) - Ten452*coupl(    &
                       nGC_224)**2d0 - Ten453*coupl(nGC_223)**2d0 + 2d0*Ten454*&
                       coupl(nGC_4)**2d0 - 2d0*Ten455*coupl(nGC_99)**2d0 +     &
                       Ten456*(2d0*coupl(nGC_128)**2d0 - coupl(nGC_222)**2d0   &
                       ) + 2d0*Ten459*cMTA*coupl(nGC_224)**2d0*rMTA + 2d0*     &
                       Ten460*cMTA*coupl(nGC_223)**2d0*rMTA + 4d0*Ten461*coupl(&
                       nGC_4)**2d0*rMTA*(-2d0*cMTA + rMTA) + 2d0*Ten462*rMTA*(-&
                       4d0*cMTA*coupl(nGC_124)*coupl(nGC_128) + cMTA*coupl(    &
                       nGC_222)**2d0 + coupl(nGC_124)**2d0*rMTA + coupl(nGC_128&
                       )**2d0*rMTA - coupl(nGC_222)**2d0*rMTA) - 2d0*Ten463*   &
                       coupl(nGC_224)**2d0*rMTA**2d0 - 2d0*Ten464*coupl(nGC_223&
                       )**2d0*rMTA**2d0 + 4d0*Ten465*coupl(nGC_4)**2d0*rMTA**  &
                       2d0 - Ten466*rMTA**2d0*(coupl(nGC_221)**2d0 + 2d0*coupl(&
                       nGC_99)**2d0) + 2d0*Ten467*rMTA**2d0*(coupl(nGC_124)**  &
                       2d0 + coupl(nGC_128)**2d0 - coupl(nGC_222)**2d0) - coupl&
                       (nGC_128)**2d0 - coupl(nGC_4)**2d0 - coupl(nGC_99)**2d0 &
                       )/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtauMinusL_QED2 = cone*real(dZtauMinusL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter135
end module ctparameter135
