!******************************************************************************!
!                                                                              !
!    ctparameter176.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter176.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter176
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter176()
  if (da_QED2_scheme .eq. 4) then
    da_QED2 = ((2d0*MPS**2d0*Nc*coupl(nGC_195)*coupl(nGC_196) + 2d0*MPS**2d0*Nc&
              *coupl(nGC_199)*coupl(nGC_200) + 2d0*MPS**2d0*Nc*coupl(nGC_203)* &
              coupl(nGC_204) + 2d0*MPS**2d0*Nc*coupl(nGC_215)*coupl(nGC_216) + &
              2d0*MPS**2d0*Nc*coupl(nGC_219)*coupl(nGC_220) + 2d0*MPS**2d0*Nc* &
              coupl(nGC_227)*coupl(nGC_228) + 2d0*MPS**2d0*coupl(nGC_207)*coupl&
              (nGC_208) + 2d0*MPS**2d0*coupl(nGC_211)*coupl(nGC_212) + 2d0*MPS &
              **2d0*coupl(nGC_223)*coupl(nGC_224) - 12d0*Nc*cMB**2d0*coupl(    &
              nGC_195)*coupl(nGC_196) - 12d0*Nc*cMC**2d0*coupl(nGC_199)*coupl( &
              nGC_200) - 12d0*Nc*cMD**2d0*coupl(nGC_203)*coupl(nGC_204) - 12d0*&
              Nc*cMS**2d0*coupl(nGC_215)*coupl(nGC_216) - 12d0*Nc*cMT**2d0*    &
              coupl(nGC_219)*coupl(nGC_220) - 12d0*Nc*cMU**2d0*coupl(nGC_227)* &
              coupl(nGC_228) - 12d0*cME**2d0*coupl(nGC_207)*coupl(nGC_208) -   &
              12d0*cMM**2d0*coupl(nGC_211)*coupl(nGC_212) - 12d0*cMTA**2d0*    &
              coupl(nGC_223)*coupl(nGC_224) + 6d0*cima*cMW**2d0*coupl(nGC_92   &
              ) + 3d0*cima*cMZ**2d0*coupl(nGC_147) + 6d0*coupl(nGC_162)*coupl( &
              nGC_164) + 3d0*coupl(nGC_175)*coupl(nGC_177))/(3d0*(MHH**2d0 -   &
              MHL**2d0)) + (8d0*MPS**2d0*Nc*Ten663*coupl(nGC_227)*coupl(nGC_228&
              ) + 8d0*MPS**2d0*Nc*Ten665*coupl(nGC_227)*coupl(nGC_228) + 8d0*  &
              MPS**2d0*Nc*Ten666*coupl(nGC_199)*coupl(nGC_200) + 8d0*MPS**2d0* &
              Nc*Ten668*coupl(nGC_199)*coupl(nGC_200) + 8d0*MPS**2d0*Nc*Ten669*&
              coupl(nGC_219)*coupl(nGC_220) + 8d0*MPS**2d0*Nc*Ten671*coupl(    &
              nGC_219)*coupl(nGC_220) + 8d0*MPS**2d0*Nc*Ten672*coupl(nGC_203)* &
              coupl(nGC_204) + 8d0*MPS**2d0*Nc*Ten674*coupl(nGC_203)*coupl(    &
              nGC_204) + 8d0*MPS**2d0*Nc*Ten675*coupl(nGC_215)*coupl(nGC_216   &
              ) + 8d0*MPS**2d0*Nc*Ten677*coupl(nGC_215)*coupl(nGC_216) + 8d0*  &
              MPS**2d0*Nc*Ten678*coupl(nGC_195)*coupl(nGC_196) + 8d0*MPS**2d0* &
              Nc*Ten680*coupl(nGC_195)*coupl(nGC_196) + 8d0*MPS**2d0*Ten654*   &
              coupl(nGC_207)*coupl(nGC_208) + 8d0*MPS**2d0*Ten656*coupl(nGC_207&
              )*coupl(nGC_208) + 8d0*MPS**2d0*Ten657*coupl(nGC_211)*coupl(     &
              nGC_212) + 8d0*MPS**2d0*Ten659*coupl(nGC_211)*coupl(nGC_212) +   &
              8d0*MPS**2d0*Ten660*coupl(nGC_223)*coupl(nGC_224) + 8d0*MPS**2d0*&
              Ten662*coupl(nGC_223)*coupl(nGC_224) + 8d0*Nc*Ten648*cMU**2d0*   &
              coupl(nGC_227)*coupl(nGC_228) + 8d0*Nc*Ten649*cMC**2d0*coupl(    &
              nGC_199)*coupl(nGC_200) + 8d0*Nc*Ten650*cMT**2d0*coupl(nGC_219)* &
              coupl(nGC_220) + 8d0*Nc*Ten651*cMD**2d0*coupl(nGC_203)*coupl(    &
              nGC_204) + 8d0*Nc*Ten652*cMS**2d0*coupl(nGC_215)*coupl(nGC_216   &
              ) + 8d0*Nc*Ten653*cMB**2d0*coupl(nGC_195)*coupl(nGC_196) + 32d0* &
              Nc*Ten664*coupl(nGC_227)*coupl(nGC_228) + 32d0*Nc*Ten667*coupl(  &
              nGC_199)*coupl(nGC_200) + 32d0*Nc*Ten670*coupl(nGC_219)*coupl(   &
              nGC_220) + 32d0*Nc*Ten673*coupl(nGC_203)*coupl(nGC_204) + 32d0*Nc&
              *Ten676*coupl(nGC_215)*coupl(nGC_216) + 32d0*Nc*Ten679*coupl(    &
              nGC_195)*coupl(nGC_196) + cima*Ten0*coupl(nGC_32) + cima*Ten1*(- &
              4d0*coupl(nGC_147) - 2d0*coupl(nGC_148) + coupl(nGC_60)) + cima* &
              Ten2*coupl(nGC_33) + 2d0*cima*Ten3*(coupl(nGC_59) - 4d0*coupl(   &
              nGC_92) - 2d0*coupl(nGC_93)) + Ten640*(-8d0*MPS**2d0*coupl(      &
              nGC_130)*coupl(nGC_136) + 2d0*coupl(nGC_174)*coupl(nGC_178) - 4d0&
              *coupl(nGC_175)*coupl(nGC_177) - coupl(nGC_183)*coupl(nGC_188    &
              )) + 2d0*Ten641*(-4d0*MPS**2d0*coupl(nGC_100)*coupl(nGC_117) -   &
              4d0*MPS**2d0*coupl(nGC_101)*coupl(nGC_118) + 2d0*coupl(nGC_161)* &
              coupl(nGC_165) - 4d0*coupl(nGC_162)*coupl(nGC_164) - coupl(      &
              nGC_182)*coupl(nGC_187)) - Ten642*coupl(nGC_190)*coupl(nGC_192   &
              ) - 2d0*Ten643*coupl(nGC_189)*coupl(nGC_192) - Ten644*coupl(     &
              nGC_189)*coupl(nGC_191) + 8d0*Ten645*cME**2d0*coupl(nGC_207)*    &
              coupl(nGC_208) + 8d0*Ten646*cMM**2d0*coupl(nGC_211)*coupl(nGC_212&
              ) + 8d0*Ten647*cMTA**2d0*coupl(nGC_223)*coupl(nGC_224) + 32d0*   &
              Ten655*coupl(nGC_207)*coupl(nGC_208) + 32d0*Ten658*coupl(nGC_211 &
              )*coupl(nGC_212) + 32d0*Ten661*coupl(nGC_223)*coupl(nGC_224))/(  &
              2d0*(MHH**2d0 - MHL**2d0)))/(16d0*pi**2d0) + cima*(coupl(nGC_192 &
              )*dtHl_QED1/cMHL**2d0 + coupl(nGC_189)*dtHh_QED1/cMHH**2d0)/(MHH &
              **2d0 - MHL**2d0)
    da_QED2 = cone*real(da_QED2,kind=dp)
  end if 
end subroutine set_ctparameter176
end module ctparameter176
