!******************************************************************************!
!                                                                              !
!    ctparameter56.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter56.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter56
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter56()
  if (dZcL_QED2_scheme .eq. 0) then
    dZcL_QED2 = (2d0*Ten266*coupl(nGC_2)**2d0 + Ten267*(2d0*coupl(nGC_126)**2d0&
                 - coupl(nGC_198)**2d0) + Ten268*(coupl(nGC_213)**2d0 + 2d0*   &
                coupl(nGC_99)**2d0) - Ten269*coupl(nGC_199)**2d0 - Ten270*coupl&
                (nGC_200)**2d0 + 2d0*Ten271*coupl(nGC_2)**2d0 + Ten272*(2d0*   &
                coupl(nGC_126)**2d0 - coupl(nGC_198)**2d0) + Ten273*(coupl(    &
                nGC_213)**2d0 + 2d0*coupl(nGC_99)**2d0) + 2d0*Ten276*cMC*coupl(&
                nGC_199)**2d0*rMC + 2d0*Ten277*cMC*coupl(nGC_200)**2d0*rMC +   &
                4d0*Ten278*coupl(nGC_2)**2d0*rMC*(-2d0*cMC + rMC) + 2d0*Ten279*&
                rMC*(-4d0*cMC*coupl(nGC_123)*coupl(nGC_126) + cMC*coupl(nGC_198&
                )**2d0 + coupl(nGC_123)**2d0*rMC + coupl(nGC_126)**2d0*rMC -   &
                coupl(nGC_198)**2d0*rMC) + Ten280*rMC*(2d0*cMS*coupl(nGC_197)* &
                coupl(nGC_213) + coupl(nGC_197)**2d0*rMC + coupl(nGC_213)**2d0*&
                rMC + 2d0*coupl(nGC_99)**2d0*rMC) - 2d0*Ten281*coupl(nGC_199)**&
                2d0*rMC**2d0 - 2d0*Ten282*coupl(nGC_200)**2d0*rMC**2d0 + 4d0*  &
                Ten283*coupl(nGC_2)**2d0*rMC**2d0 + 2d0*Ten284*rMC**2d0*(coupl(&
                nGC_123)**2d0 + coupl(nGC_126)**2d0 - coupl(nGC_198)**2d0) +   &
                Ten285*rMC**2d0*(coupl(nGC_197)**2d0 + coupl(nGC_213)**2d0 +   &
                2d0*coupl(nGC_99)**2d0) - coupl(nGC_126)**2d0 - coupl(nGC_2)** &
                2d0 - coupl(nGC_99)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcL_QED2 = cone*real(dZcL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter56
end module ctparameter56
