!******************************************************************************!
!                                                                              !
!    ctparameter69.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter69.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter69
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter69()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMHL2_MS_QED2 = DeltaUV*(12d0*Nc*cMB**2d0*coupl(nGC_196)**2d0 + 12d0*Nc*cMC**&
                  2d0*coupl(nGC_200)**2d0 + 12d0*Nc*cMD**2d0*coupl(nGC_204)**  &
                  2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_196)**2d0 - 2d0*Nc*cMHL**2d0&
                  *coupl(nGC_200)**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_204)**2d0  &
                   - 2d0*Nc*cMHL**2d0*coupl(nGC_216)**2d0 - 2d0*Nc*cMHL**2d0*  &
                  coupl(nGC_220)**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_228)**2d0 + &
                  12d0*Nc*cMS**2d0*coupl(nGC_216)**2d0 + 12d0*Nc*cMT**2d0*coupl&
                  (nGC_220)**2d0 + 12d0*Nc*cMU**2d0*coupl(nGC_228)**2d0 + 12d0*&
                  cME**2d0*coupl(nGC_208)**2d0 + cima*cMHH**2d0*coupl(nGC_36)/ &
                  2d0 - 8d0*cMHL**2d0*coupl(nGC_117)*coupl(nGC_118) - 4d0*cMHL &
                  **2d0*coupl(nGC_136)**2d0 - 2d0*cMHL**2d0*coupl(nGC_208)**2d0&
                   - 2d0*cMHL**2d0*coupl(nGC_212)**2d0 - 2d0*cMHL**2d0*coupl(  &
                  nGC_224)**2d0 + cima*cMHL**2d0*coupl(nGC_34)/2d0 + 12d0*cMM**&
                  2d0*coupl(nGC_212)**2d0 + 12d0*cMTA**2d0*coupl(nGC_224)**2d0 &
                   + cima*cMW**2d0*coupl(nGC_67) - 2d0*cima*cMW**2d0*coupl(    &
                  nGC_95) - 4d0*cima*cMW**2d0*coupl(nGC_96) - cima*cMZ**2d0*   &
                  coupl(nGC_150) - 2d0*cima*cMZ**2d0*coupl(nGC_151) + cima*cMZ &
                  **2d0*coupl(nGC_68)/2d0 - 4d0*coupl(nGC_164)**2d0 + 2d0*coupl&
                  (nGC_165)**2d0 - 2d0*coupl(nGC_177)**2d0 + coupl(nGC_178)**  &
                  2d0 - coupl(nGC_182)**2d0 - coupl(nGC_183)**2d0/2d0 - coupl( &
                  nGC_189)**2d0/2d0 - coupl(nGC_190)**2d0/2d0 - coupl(nGC_192  &
                  )**2d0)/(16d0*pi**2d0) + cima*(coupl(nGC_190)*dtHl_MS_QED1/  &
                  cMHL**2d0 + coupl(nGC_192)*dtHh_MS_QED1/cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dMHL2_MS_QED2 = cone*real(dMHL2_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter69
end module ctparameter69
