!******************************************************************************!
!                                                                              !
!    ctparameter76.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter76.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter76
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter76()
  dZg_QCD2 = (Nc*Ten177*(coupl(nGC_17)**2d0 + 40d0*coupl(nGC_18)**2d0)/12d0 +  &
             4d0*Ten202*cMU_reg**2d0*coupl(nGC_19)**2d0 + 4d0*Ten203*cMC_reg** &
             2d0*coupl(nGC_19)**2d0 + 4d0*Ten204*cMT**2d0*coupl(nGC_19)**2d0 + &
             4d0*Ten205*cMD_reg**2d0*coupl(nGC_19)**2d0 + 4d0*Ten206*cMS_reg** &
             2d0*coupl(nGC_19)**2d0 + 4d0*Ten207*cMB_reg**2d0*coupl(nGC_19)**  &
             2d0 - 8d0*Ten208*coupl(nGC_19)**2d0 - 8d0*Ten209*coupl(nGC_19)**  &
             2d0 - 8d0*Ten210*coupl(nGC_19)**2d0 - 8d0*Ten211*coupl(nGC_19)**  &
             2d0 - 8d0*Ten212*coupl(nGC_19)**2d0 - 8d0*Ten213*coupl(nGC_19)**  &
             2d0 - 2d0*Ten214*coupl(nGC_19)**2d0/3d0 - 2d0*Ten215*coupl(nGC_19 &
             )**2d0/3d0 - 2d0*Ten216*coupl(nGC_19)**2d0/3d0 - 2d0*Ten217*coupl(&
             nGC_19)**2d0/3d0 - 2d0*Ten218*coupl(nGC_19)**2d0/3d0 - 2d0*coupl( &
             nGC_19)**2d0/3d0)/(16d0*pi**2d0)
  dZg_QCD2 = cone*real(dZg_QCD2,kind=dp)
end subroutine set_ctparameter76
end module ctparameter76
