!******************************************************************************!
!                                                                              !
!    ctparameter79.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter79.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter79
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter79()
  dZtR_QCD2 = (coupl(nGC_19)**2d0*(-Nc**2d0 + 1d0)/(2d0*Nc) + coupl(nGC_19)**  &
              2d0*(Ten372*(Nc**2d0 - 1d0) + Ten377*(Nc**2d0 - 1d0) + 2d0*Ten384&
              *rMT*(-2d0*Nc**2d0*cMT + Nc**2d0*rMT + 2d0*cMT - rMT) + 2d0*     &
              Ten389*rMT**2d0*(Nc**2d0 - 1d0))/Nc)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtR_QCD2 = cone*real(dZtR_QCD2,kind=dp)
    end if 
end subroutine set_ctparameter79
end module ctparameter79
