!******************************************************************************!
!                                                                              !
!    ctparameter88.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter88.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter88
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter88()
  dMW2_QED2 = -cima*(coupl(nGC_164)*dtHl_QED1/cMHL**2d0 + coupl(nGC_162)*      &
              dtHh_QED1/cMHH**2d0) + (Nc*Ten10*coupl(nGC_99)**2d0*(cMD**2d0*cMW&
              **2d0 - cMD**2d0*rMW**2d0 - cMU**2d0*cMW**2d0 + cMU**2d0*rMW**2d0&
              )/(3d0*rMW**4d0) + Nc*Ten11*coupl(nGC_99)**2d0*(-cMC**2d0*cMW**  &
              2d0 + cMC**2d0*rMW**2d0 + cMS**2d0*cMW**2d0 - cMS**2d0*rMW**2d0  &
              )/(3d0*rMW**4d0) + Nc*Ten12*coupl(nGC_99)**2d0*(cMB**2d0*cMW**2d0&
               - cMB**2d0*rMW**2d0 - cMT**2d0*cMW**2d0 + cMT**2d0*rMW**2d0)/(  &
              3d0*rMW**4d0) + 4d0*Nc*Ten589*coupl(nGC_99)**2d0 + 4d0*Nc*Ten590*&
              coupl(nGC_99)**2d0 + 4d0*Nc*Ten591*coupl(nGC_99)**2d0 + 2d0*Nc*  &
              Ten595*coupl(nGC_99)**2d0*rMW**2d0 + 2d0*Nc*Ten596*coupl(nGC_99  &
              )**2d0*rMW**2d0 + 2d0*Nc*Ten597*coupl(nGC_99)**2d0*rMW**2d0 + 2d0&
              *Nc*Ten601*coupl(nGC_99)**2d0*rMW**2d0 + 2d0*Nc*Ten602*coupl(    &
              nGC_99)**2d0*rMW**2d0 + 2d0*Nc*Ten603*coupl(nGC_99)**2d0*rMW**2d0&
               + Nc*Ten607*coupl(nGC_99)**2d0*(-cMD**4d0*cMW**2d0 + cMD**4d0*  &
              rMW**2d0 + 2d0*cMD**2d0*cMU**2d0*cMW**2d0 - 2d0*cMD**2d0*cMU**2d0&
              *rMW**2d0 - cMU**4d0*cMW**2d0 + cMU**4d0*rMW**2d0 - 2d0*cMW**2d0*&
              rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**4d0) + Nc*Ten608*coupl(nGC_99 &
              )**2d0*(-cMC**4d0*cMW**2d0 + cMC**4d0*rMW**2d0 + 2d0*cMC**2d0*cMS&
              **2d0*cMW**2d0 - 2d0*cMC**2d0*cMS**2d0*rMW**2d0 - cMS**4d0*cMW** &
              2d0 + cMS**4d0*rMW**2d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(&
              3d0*rMW**4d0) + Nc*Ten609*coupl(nGC_99)**2d0*(-cMB**4d0*cMW**2d0 &
               + cMB**4d0*rMW**2d0 + 2d0*cMB**2d0*cMT**2d0*cMW**2d0 - 2d0*cMB**&
              2d0*cMT**2d0*rMW**2d0 - cMT**4d0*cMW**2d0 + cMT**4d0*rMW**2d0 -  &
              2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**4d0) + Nc*Ten614*&
              coupl(nGC_99)**2d0*(cMD**4d0*cMW**2d0 - cMD**4d0*rMW**2d0 - 2d0* &
              cMD**2d0*cMU**2d0*cMW**2d0 + 2d0*cMD**2d0*cMU**2d0*rMW**2d0 + cMD&
              **2d0*cMW**2d0*rMW**2d0 - cMD**2d0*rMW**4d0 + cMU**4d0*cMW**2d0  &
               - cMU**4d0*rMW**2d0 + cMU**2d0*cMW**2d0*rMW**2d0 - cMU**2d0*rMW &
              **4d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**2d0) + Nc&
              *Ten615*coupl(nGC_99)**2d0*(cMC**4d0*cMW**2d0 - cMC**4d0*rMW**2d0&
               - 2d0*cMC**2d0*cMS**2d0*cMW**2d0 + 2d0*cMC**2d0*cMS**2d0*rMW**  &
              2d0 + cMC**2d0*cMW**2d0*rMW**2d0 - cMC**2d0*rMW**4d0 + cMS**4d0* &
              cMW**2d0 - cMS**4d0*rMW**2d0 + cMS**2d0*cMW**2d0*rMW**2d0 - cMS**&
              2d0*rMW**4d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**  &
              2d0) + Nc*Ten616*coupl(nGC_99)**2d0*(cMB**4d0*cMW**2d0 - cMB**4d0&
              *rMW**2d0 - 2d0*cMB**2d0*cMT**2d0*cMW**2d0 + 2d0*cMB**2d0*cMT**  &
              2d0*rMW**2d0 + cMB**2d0*cMW**2d0*rMW**2d0 - cMB**2d0*rMW**4d0 +  &
              cMT**4d0*cMW**2d0 - cMT**4d0*rMW**2d0 + cMT**2d0*cMW**2d0*rMW**  &
              2d0 - cMT**2d0*rMW**4d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(&
              3d0*rMW**2d0) + Nc*Ten7*coupl(nGC_99)**2d0*(-cMD**2d0*cMW**2d0 + &
              cMD**2d0*rMW**2d0 + cMU**2d0*cMW**2d0 - cMU**2d0*rMW**2d0)/(3d0* &
              rMW**4d0) + Nc*Ten8*coupl(nGC_99)**2d0*(cMC**2d0*cMW**2d0 - cMC**&
              2d0*rMW**2d0 - cMS**2d0*cMW**2d0 + cMS**2d0*rMW**2d0)/(3d0*rMW** &
              4d0) + Nc*Ten9*coupl(nGC_99)**2d0*(-cMB**2d0*cMW**2d0 + cMB**2d0*&
              rMW**2d0 + cMT**2d0*cMW**2d0 - cMT**2d0*rMW**2d0)/(3d0*rMW**4d0  &
              ) - Nc*cMB**2d0*coupl(nGC_99)**2d0 - Nc*cMC**2d0*coupl(nGC_99)** &
              2d0 - Nc*cMD**2d0*coupl(nGC_99)**2d0 - Nc*cMS**2d0*coupl(nGC_99  &
              )**2d0 - Nc*cMT**2d0*coupl(nGC_99)**2d0 - Nc*cMU**2d0*coupl(     &
              nGC_99)**2d0 + 2d0*Nc*cMW**2d0*coupl(nGC_99)**2d0/3d0 + Nc*coupl(&
              nGC_99)**2d0*rMW**2d0/3d0 + Ten0*(2d0*cMHL**2d0*cMW**2d0*coupl(  &
              nGC_117)*coupl(nGC_118) - 2d0*cMHL**2d0*coupl(nGC_117)*coupl(    &
              nGC_118)*rMW**2d0 - 2d0*cMW**4d0*coupl(nGC_117)*coupl(nGC_118) + &
              2d0*cMW**2d0*coupl(nGC_117)*coupl(nGC_118)*rMW**2d0 - 3d0*cima*  &
              coupl(nGC_96)*rMW**4d0)/(6d0*rMW**4d0) + Ten1*(-16d0*cMW**4d0*   &
              coupl(nGC_102)*coupl(nGC_103) - cMW**4d0*coupl(nGC_104)**2d0 -   &
              cMW**4d0*coupl(nGC_105)**2d0 - 4d0*cMW**4d0*coupl(nGC_98)**2d0 + &
              16d0*cMW**2d0*cMZ**2d0*coupl(nGC_102)*coupl(nGC_103) + cMW**2d0* &
              cMZ**2d0*coupl(nGC_104)**2d0 + cMW**2d0*cMZ**2d0*coupl(nGC_105)**&
              2d0 + 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_98)**2d0 + 16d0*cMW**2d0*  &
              coupl(nGC_102)*coupl(nGC_103)*rMW**2d0 + cMW**2d0*coupl(nGC_104  &
              )**2d0*rMW**2d0 + cMW**2d0*coupl(nGC_105)**2d0*rMW**2d0 + 4d0*cMW&
              **2d0*coupl(nGC_98)**2d0*rMW**2d0 - 16d0*cMZ**2d0*coupl(nGC_102)*&
              coupl(nGC_103)*rMW**2d0 - cMZ**2d0*coupl(nGC_104)**2d0*rMW**2d0  &
               - cMZ**2d0*coupl(nGC_105)**2d0*rMW**2d0 - 4d0*cMZ**2d0*coupl(   &
              nGC_98)**2d0*rMW**2d0 - 6d0*cima*coupl(nGC_71)*rMW**4d0 + 24d0*  &
              cima*coupl(nGC_85)*rMW**4d0 + 12d0*cima*coupl(nGC_86)*rMW**4d0)/(&
              12d0*rMW**4d0) + Ten2*(2d0*cMHH**2d0*cMW**2d0*coupl(nGC_100)*    &
              coupl(nGC_101) - 2d0*cMHH**2d0*coupl(nGC_100)*coupl(nGC_101)*rMW &
              **2d0 - 2d0*cMW**4d0*coupl(nGC_100)*coupl(nGC_101) + 2d0*cMW**2d0&
              *coupl(nGC_100)*coupl(nGC_101)*rMW**2d0 - 3d0*cima*coupl(nGC_82)*&
              rMW**4d0)/(6d0*rMW**4d0) + Ten3*(-4d0*cMHH**2d0*cMW**2d0*coupl(  &
              nGC_100)*coupl(nGC_101) + 4d0*cMHH**2d0*coupl(nGC_100)*coupl(    &
              nGC_101)*rMW**2d0 - 4d0*cMHL**2d0*cMW**2d0*coupl(nGC_117)*coupl( &
              nGC_118) + 4d0*cMHL**2d0*coupl(nGC_117)*coupl(nGC_118)*rMW**2d0  &
               + 4d0*cMW**4d0*coupl(nGC_100)*coupl(nGC_101) + 16d0*cMW**4d0*   &
              coupl(nGC_102)*coupl(nGC_103) + cMW**4d0*coupl(nGC_104)**2d0 +   &
              cMW**4d0*coupl(nGC_105)**2d0 + 4d0*cMW**4d0*coupl(nGC_117)*coupl(&
              nGC_118) + 16d0*cMW**4d0*coupl(nGC_3)*coupl(nGC_4) + cMW**4d0*   &
              coupl(nGC_5)**2d0 + cMW**4d0*coupl(nGC_6)**2d0 + 4d0*cMW**4d0*   &
              coupl(nGC_98)**2d0 - 16d0*cMW**2d0*cMZ**2d0*coupl(nGC_102)*coupl(&
              nGC_103) - cMW**2d0*cMZ**2d0*coupl(nGC_104)**2d0 - cMW**2d0*cMZ**&
              2d0*coupl(nGC_105)**2d0 - 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_98)**  &
              2d0 - 4d0*cMW**2d0*coupl(nGC_100)*coupl(nGC_101)*rMW**2d0 - 16d0*&
              cMW**2d0*coupl(nGC_102)*coupl(nGC_103)*rMW**2d0 - cMW**2d0*coupl(&
              nGC_104)**2d0*rMW**2d0 - cMW**2d0*coupl(nGC_105)**2d0*rMW**2d0 - &
              4d0*cMW**2d0*coupl(nGC_117)*coupl(nGC_118)*rMW**2d0 - 16d0*cMW** &
              2d0*coupl(nGC_3)*coupl(nGC_4)*rMW**2d0 - cMW**2d0*coupl(nGC_5)** &
              2d0*rMW**2d0 - cMW**2d0*coupl(nGC_6)**2d0*rMW**2d0 - 4d0*cMW**2d0&
              *coupl(nGC_98)**2d0*rMW**2d0 + 16d0*cMZ**2d0*coupl(nGC_102)*coupl&
              (nGC_103)*rMW**2d0 + cMZ**2d0*coupl(nGC_104)**2d0*rMW**2d0 + cMZ &
              **2d0*coupl(nGC_105)**2d0*rMW**2d0 + 4d0*cMZ**2d0*coupl(nGC_98)**&
              2d0*rMW**2d0 - 12d0*cima*coupl(nGC_71)*rMW**4d0 + 24d0*cima*coupl&
              (nGC_73)*rMW**4d0 + 24d0*cima*coupl(nGC_74)*rMW**4d0)/(12d0*rMW**&
              4d0) + Ten4*cME**2d0*coupl(nGC_99)**2d0*(cMW**2d0 - rMW**2d0)/(  &
              3d0*rMW**4d0) + Ten5*cMM**2d0*coupl(nGC_99)**2d0*(cMW**2d0 - rMW &
              **2d0)/(3d0*rMW**4d0) + Ten577*(-4d0*cME**2d0*cMW**2d0*coupl(    &
              nGC_99)**2d0 + 4d0*cME**2d0*coupl(nGC_99)**2d0*rMW**2d0 - 4d0*cMM&
              **2d0*cMW**2d0*coupl(nGC_99)**2d0 + 4d0*cMM**2d0*coupl(nGC_99)** &
              2d0*rMW**2d0 - 4d0*cMTA**2d0*cMW**2d0*coupl(nGC_99)**2d0 + 4d0*  &
              cMTA**2d0*coupl(nGC_99)**2d0*rMW**2d0 - 16d0*cMW**4d0*coupl(nGC_3&
              )*coupl(nGC_4) - cMW**4d0*coupl(nGC_5)**2d0 - cMW**4d0*coupl(    &
              nGC_6)**2d0 + 16d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4)*rMW**2d0 + &
              cMW**2d0*coupl(nGC_5)**2d0*rMW**2d0 + cMW**2d0*coupl(nGC_6)**2d0*&
              rMW**2d0 + 12d0*cima*coupl(nGC_10)*rMW**4d0 + 24d0*cima*coupl(   &
              nGC_9)*rMW**4d0)/(12d0*rMW**4d0) + Ten578*(-16d0*cMW**6d0*coupl( &
              nGC_3)*coupl(nGC_4) - cMW**6d0*coupl(nGC_5)**2d0 - cMW**6d0*coupl&
              (nGC_6)**2d0 + 16d0*cMW**4d0*coupl(nGC_3)*coupl(nGC_4)*rMW**2d0  &
               + cMW**4d0*coupl(nGC_5)**2d0*rMW**2d0 + cMW**4d0*coupl(nGC_6)** &
              2d0*rMW**2d0 - 80d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4)*rMW**4d0  &
               + cMW**2d0*coupl(nGC_5)**2d0*rMW**4d0 + cMW**2d0*coupl(nGC_6)** &
              2d0*rMW**4d0 - 12d0*coupl(nGC_168)**2d0*rMW**4d0 - 16d0*coupl(   &
              nGC_3)*coupl(nGC_4)*rMW**6d0 - coupl(nGC_5)**2d0*rMW**6d0 - coupl&
              (nGC_6)**2d0*rMW**6d0)/(12d0*rMW**4d0) - Ten579*(16d0*coupl(nGC_3&
              )*coupl(nGC_4) + coupl(nGC_5)**2d0 + coupl(nGC_6)**2d0) + Ten580 &
              *(-cMHL**4d0*cMW**2d0*coupl(nGC_117)*coupl(nGC_118) + cMHL**4d0* &
              coupl(nGC_117)*coupl(nGC_118)*rMW**2d0 + 2d0*cMHL**2d0*cMW**4d0* &
              coupl(nGC_117)*coupl(nGC_118) - 2d0*cMHL**2d0*cMW**2d0*coupl(    &
              nGC_117)*coupl(nGC_118)*rMW**2d0 - cMW**6d0*coupl(nGC_117)*coupl(&
              nGC_118) + cMW**4d0*coupl(nGC_117)*coupl(nGC_118)*rMW**2d0 + cMW &
              **2d0*coupl(nGC_117)*coupl(nGC_118)*rMW**4d0 - coupl(nGC_117)*   &
              coupl(nGC_118)*rMW**6d0 - 3d0*coupl(nGC_164)**2d0*rMW**4d0)/(3d0*&
              rMW**4d0) + Ten581*(-cMHH**4d0*cMW**2d0*coupl(nGC_100)*coupl(    &
              nGC_101) + cMHH**4d0*coupl(nGC_100)*coupl(nGC_101)*rMW**2d0 + 2d0&
              *cMHH**2d0*cMW**4d0*coupl(nGC_100)*coupl(nGC_101) - 2d0*cMHH**2d0&
              *cMW**2d0*coupl(nGC_100)*coupl(nGC_101)*rMW**2d0 - cMW**6d0*coupl&
              (nGC_100)*coupl(nGC_101) + cMW**4d0*coupl(nGC_100)*coupl(nGC_101 &
              )*rMW**2d0 + cMW**2d0*coupl(nGC_100)*coupl(nGC_101)*rMW**4d0 -   &
              coupl(nGC_100)*coupl(nGC_101)*rMW**6d0 - 3d0*coupl(nGC_162)**2d0*&
              rMW**4d0)/(3d0*rMW**4d0) + Ten582*(-16d0*cMW**6d0*coupl(nGC_102)*&
              coupl(nGC_103) - cMW**6d0*coupl(nGC_104)**2d0 - cMW**6d0*coupl(  &
              nGC_105)**2d0 - 4d0*cMW**6d0*coupl(nGC_98)**2d0 + 32d0*cMW**4d0* &
              cMZ**2d0*coupl(nGC_102)*coupl(nGC_103) + 2d0*cMW**4d0*cMZ**2d0*  &
              coupl(nGC_104)**2d0 + 2d0*cMW**4d0*cMZ**2d0*coupl(nGC_105)**2d0  &
               + 8d0*cMW**4d0*cMZ**2d0*coupl(nGC_98)**2d0 + 16d0*cMW**4d0*coupl&
              (nGC_102)*coupl(nGC_103)*rMW**2d0 + cMW**4d0*coupl(nGC_104)**2d0*&
              rMW**2d0 + cMW**4d0*coupl(nGC_105)**2d0*rMW**2d0 + 4d0*cMW**4d0* &
              coupl(nGC_98)**2d0*rMW**2d0 - 16d0*cMW**2d0*cMZ**4d0*coupl(      &
              nGC_102)*coupl(nGC_103) - cMW**2d0*cMZ**4d0*coupl(nGC_104)**2d0  &
               - cMW**2d0*cMZ**4d0*coupl(nGC_105)**2d0 - 4d0*cMW**2d0*cMZ**4d0*&
              coupl(nGC_98)**2d0 - 32d0*cMW**2d0*cMZ**2d0*coupl(nGC_102)*coupl(&
              nGC_103)*rMW**2d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_104)**2d0*rMW&
              **2d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_105)**2d0*rMW**2d0 - 8d0*&
              cMW**2d0*cMZ**2d0*coupl(nGC_98)**2d0*rMW**2d0 - 80d0*cMW**2d0*   &
              coupl(nGC_102)*coupl(nGC_103)*rMW**4d0 + cMW**2d0*coupl(nGC_104  &
              )**2d0*rMW**4d0 + cMW**2d0*coupl(nGC_105)**2d0*rMW**4d0 + 4d0*cMW&
              **2d0*coupl(nGC_98)**2d0*rMW**4d0 + 16d0*cMZ**4d0*coupl(nGC_102)*&
              coupl(nGC_103)*rMW**2d0 + cMZ**4d0*coupl(nGC_104)**2d0*rMW**2d0  &
               + cMZ**4d0*coupl(nGC_105)**2d0*rMW**2d0 + 4d0*cMZ**4d0*coupl(   &
              nGC_98)**2d0*rMW**2d0 - 16d0*coupl(nGC_102)*coupl(nGC_103)*rMW** &
              6d0 - coupl(nGC_104)**2d0*rMW**6d0 - coupl(nGC_105)**2d0*rMW**6d0&
               - 12d0*coupl(nGC_156)*coupl(nGC_159)*rMW**4d0 - 12d0*coupl(     &
              nGC_172)**2d0*rMW**4d0 - 4d0*coupl(nGC_98)**2d0*rMW**6d0)/(12d0* &
              rMW**4d0) - 4d0*Ten583*coupl(nGC_117)*coupl(nGC_118) - 4d0*Ten584&
              *coupl(nGC_100)*coupl(nGC_101) + 4d0*Ten585*coupl(nGC_99)**2d0 + &
              4d0*Ten586*coupl(nGC_99)**2d0 + 4d0*Ten587*coupl(nGC_99)**2d0 -  &
              Ten588*(16d0*coupl(nGC_102)*coupl(nGC_103) + coupl(nGC_104)**2d0 &
               + coupl(nGC_105)**2d0 + 4d0*coupl(nGC_98)**2d0) + 2d0*Ten592*   &
              coupl(nGC_99)**2d0*rMW**2d0 + 2d0*Ten593*coupl(nGC_99)**2d0*rMW**&
              2d0 + 2d0*Ten594*coupl(nGC_99)**2d0*rMW**2d0 + 2d0*Ten598*coupl( &
              nGC_99)**2d0*rMW**2d0 + 2d0*Ten599*coupl(nGC_99)**2d0*rMW**2d0 + &
              Ten6*cMTA**2d0*coupl(nGC_99)**2d0*(cMW**2d0 - rMW**2d0)/(3d0*rMW &
              **4d0) + 2d0*Ten600*coupl(nGC_99)**2d0*rMW**2d0 + Ten604*coupl(  &
              nGC_99)**2d0*(-cME**4d0*cMW**2d0 + cME**4d0*rMW**2d0 - 2d0*cMW** &
              2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**4d0) + Ten605*coupl(nGC_99&
              )**2d0*(-cMM**4d0*cMW**2d0 + cMM**4d0*rMW**2d0 - 2d0*cMW**2d0*rMW&
              **4d0 + 2d0*rMW**6d0)/(3d0*rMW**4d0) + Ten606*coupl(nGC_99)**2d0 &
              *(-cMTA**4d0*cMW**2d0 + cMTA**4d0*rMW**2d0 - 2d0*cMW**2d0*rMW**  &
              4d0 + 2d0*rMW**6d0)/(3d0*rMW**4d0) + Ten610*(16d0*cMW**6d0*coupl(&
              nGC_3)*coupl(nGC_4) + cMW**6d0*coupl(nGC_5)**2d0 + cMW**6d0*coupl&
              (nGC_6)**2d0 - 48d0*cMW**4d0*coupl(nGC_3)*coupl(nGC_4)*rMW**2d0  &
               - 3d0*cMW**4d0*coupl(nGC_5)**2d0*rMW**2d0 - 3d0*cMW**4d0*coupl( &
              nGC_6)**2d0*rMW**2d0 - 12d0*cMW**2d0*coupl(nGC_168)**2d0*rMW**2d0&
               - 48d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4)*rMW**4d0 + 3d0*cMW**  &
              2d0*coupl(nGC_5)**2d0*rMW**4d0 + 3d0*cMW**2d0*coupl(nGC_6)**2d0* &
              rMW**4d0 + 12d0*coupl(nGC_168)**2d0*rMW**4d0 + 80d0*coupl(nGC_3)*&
              coupl(nGC_4)*rMW**6d0 - coupl(nGC_5)**2d0*rMW**6d0 - coupl(nGC_6 &
              )**2d0*rMW**6d0)/(12d0*rMW**2d0) + Ten611*coupl(nGC_99)**2d0*(cME&
              **4d0*cMW**2d0 - cME**4d0*rMW**2d0 + cME**2d0*cMW**2d0*rMW**2d0  &
               - cME**2d0*rMW**4d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0&
              *rMW**2d0) + Ten612*coupl(nGC_99)**2d0*(cMM**4d0*cMW**2d0 - cMM**&
              4d0*rMW**2d0 + cMM**2d0*cMW**2d0*rMW**2d0 - cMM**2d0*rMW**4d0 -  &
              2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**2d0) + Ten613*   &
              coupl(nGC_99)**2d0*(cMTA**4d0*cMW**2d0 - cMTA**4d0*rMW**2d0 +    &
              cMTA**2d0*cMW**2d0*rMW**2d0 - cMTA**2d0*rMW**4d0 - 2d0*cMW**2d0* &
              rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**2d0) + Ten617*(cMHL**4d0*cMW**&
              2d0*coupl(nGC_117)*coupl(nGC_118) - cMHL**4d0*coupl(nGC_117)*    &
              coupl(nGC_118)*rMW**2d0 - 2d0*cMHL**2d0*cMW**4d0*coupl(nGC_117)* &
              coupl(nGC_118) + 2d0*cMHL**2d0*coupl(nGC_117)*coupl(nGC_118)*rMW &
              **4d0 + cMW**6d0*coupl(nGC_117)*coupl(nGC_118) - 3d0*cMW**4d0*   &
              coupl(nGC_117)*coupl(nGC_118)*rMW**2d0 + 3d0*cMW**2d0*coupl(     &
              nGC_117)*coupl(nGC_118)*rMW**4d0 - 3d0*cMW**2d0*coupl(nGC_164)** &
              2d0*rMW**2d0 - coupl(nGC_117)*coupl(nGC_118)*rMW**6d0 + 3d0*coupl&
              (nGC_164)**2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten618*(cMHH**4d0*cMW**&
              2d0*coupl(nGC_100)*coupl(nGC_101) - cMHH**4d0*coupl(nGC_100)*    &
              coupl(nGC_101)*rMW**2d0 - 2d0*cMHH**2d0*cMW**4d0*coupl(nGC_100)* &
              coupl(nGC_101) + 2d0*cMHH**2d0*coupl(nGC_100)*coupl(nGC_101)*rMW &
              **4d0 + cMW**6d0*coupl(nGC_100)*coupl(nGC_101) - 3d0*cMW**4d0*   &
              coupl(nGC_100)*coupl(nGC_101)*rMW**2d0 + 3d0*cMW**2d0*coupl(     &
              nGC_100)*coupl(nGC_101)*rMW**4d0 - 3d0*cMW**2d0*coupl(nGC_162)** &
              2d0*rMW**2d0 - coupl(nGC_100)*coupl(nGC_101)*rMW**6d0 + 3d0*coupl&
              (nGC_162)**2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten619*(16d0*cMW**6d0* &
              coupl(nGC_102)*coupl(nGC_103) + cMW**6d0*coupl(nGC_104)**2d0 +   &
              cMW**6d0*coupl(nGC_105)**2d0 + 4d0*cMW**6d0*coupl(nGC_98)**2d0 - &
              32d0*cMW**4d0*cMZ**2d0*coupl(nGC_102)*coupl(nGC_103) - 2d0*cMW** &
              4d0*cMZ**2d0*coupl(nGC_104)**2d0 - 2d0*cMW**4d0*cMZ**2d0*coupl(  &
              nGC_105)**2d0 - 8d0*cMW**4d0*cMZ**2d0*coupl(nGC_98)**2d0 - 48d0* &
              cMW**4d0*coupl(nGC_102)*coupl(nGC_103)*rMW**2d0 - 3d0*cMW**4d0*  &
              coupl(nGC_104)**2d0*rMW**2d0 - 3d0*cMW**4d0*coupl(nGC_105)**2d0* &
              rMW**2d0 - 12d0*cMW**4d0*coupl(nGC_98)**2d0*rMW**2d0 + 16d0*cMW**&
              2d0*cMZ**4d0*coupl(nGC_102)*coupl(nGC_103) + cMW**2d0*cMZ**4d0*  &
              coupl(nGC_104)**2d0 + cMW**2d0*cMZ**4d0*coupl(nGC_105)**2d0 + 4d0&
              *cMW**2d0*cMZ**4d0*coupl(nGC_98)**2d0 - 48d0*cMW**2d0*coupl(     &
              nGC_102)*coupl(nGC_103)*rMW**4d0 + 3d0*cMW**2d0*coupl(nGC_104)** &
              2d0*rMW**4d0 + 3d0*cMW**2d0*coupl(nGC_105)**2d0*rMW**4d0 - 12d0* &
              cMW**2d0*coupl(nGC_156)*coupl(nGC_159)*rMW**2d0 - 12d0*cMW**2d0* &
              coupl(nGC_172)**2d0*rMW**2d0 + 12d0*cMW**2d0*coupl(nGC_98)**2d0* &
              rMW**4d0 - 16d0*cMZ**4d0*coupl(nGC_102)*coupl(nGC_103)*rMW**2d0  &
               - cMZ**4d0*coupl(nGC_104)**2d0*rMW**2d0 - cMZ**4d0*coupl(nGC_105&
              )**2d0*rMW**2d0 - 4d0*cMZ**4d0*coupl(nGC_98)**2d0*rMW**2d0 + 32d0&
              *cMZ**2d0*coupl(nGC_102)*coupl(nGC_103)*rMW**4d0 + 2d0*cMZ**2d0* &
              coupl(nGC_104)**2d0*rMW**4d0 + 2d0*cMZ**2d0*coupl(nGC_105)**2d0* &
              rMW**4d0 + 8d0*cMZ**2d0*coupl(nGC_98)**2d0*rMW**4d0 + 80d0*coupl(&
              nGC_102)*coupl(nGC_103)*rMW**6d0 - coupl(nGC_104)**2d0*rMW**6d0  &
               - coupl(nGC_105)**2d0*rMW**6d0 + 12d0*coupl(nGC_156)*coupl(     &
              nGC_159)*rMW**4d0 + 12d0*coupl(nGC_172)**2d0*rMW**4d0 - 4d0*coupl&
              (nGC_98)**2d0*rMW**6d0)/(12d0*rMW**2d0) - 16d0*pi*aEW*cMW**2d0 + &
              16d0*pi*aEW*rMW**2d0 - cME**2d0*coupl(nGC_99)**2d0 - cMM**2d0*   &
              coupl(nGC_99)**2d0 - cMTA**2d0*coupl(nGC_99)**2d0 + 2d0*cMW**2d0*&
              coupl(nGC_100)*coupl(nGC_101)/9d0 + 20d0*cMW**2d0*coupl(nGC_102)*&
              coupl(nGC_103)/9d0 + cMW**2d0*coupl(nGC_104)**2d0/18d0 + cMW**2d0&
              *coupl(nGC_105)**2d0/18d0 + 2d0*cMW**2d0*coupl(nGC_117)*coupl(   &
              nGC_118)/9d0 + 20d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4)/9d0 + cMW &
              **2d0*coupl(nGC_5)**2d0/18d0 + cMW**2d0*coupl(nGC_6)**2d0/18d0 - &
              cima*cMW**2d0*coupl(nGC_74) + 2d0*cMW**2d0*coupl(nGC_98)**2d0/9d0&
               + 2d0*cMW**2d0*coupl(nGC_99)**2d0/3d0 + 2d0*cMZ**2d0*coupl(     &
              nGC_102)*coupl(nGC_103) - cima*cMZ**2d0*coupl(nGC_85) - 2d0*coupl&
              (nGC_100)*coupl(nGC_101)*rMW**2d0/9d0 - 8d0*coupl(nGC_102)*coupl(&
              nGC_103)*rMW**2d0/9d0 - coupl(nGC_104)**2d0*rMW**2d0/18d0 - coupl&
              (nGC_105)**2d0*rMW**2d0/18d0 - 2d0*coupl(nGC_117)*coupl(nGC_118)*&
              rMW**2d0/9d0 - 8d0*coupl(nGC_3)*coupl(nGC_4)*rMW**2d0/9d0 - coupl&
              (nGC_5)**2d0*rMW**2d0/18d0 - coupl(nGC_6)**2d0*rMW**2d0/18d0 -   &
              2d0*coupl(nGC_98)**2d0*rMW**2d0/9d0 + coupl(nGC_99)**2d0*rMW**2d0&
              /3d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMW2_QED2 = cone*real(dMW2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter88
end module ctparameter88
