!******************************************************************************!
!                                                                              !
!    ctparameter91.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter91.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter91
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter91()
  if (dZuR_QED2_scheme .eq. 2) then
    dZuR_QED2 = (Ten177*coupl(nGC_2)**2d0 + Ten239*coupl(nGC_225)**2d0 + Ten240&
                *coupl(nGC_225)**2d0 + Ten241*(-2d0*coupl(nGC_123)**2d0 + coupl&
                (nGC_226)**2d0) - Ten242*coupl(nGC_227)**2d0 - Ten243*coupl(   &
                nGC_228)**2d0 - coupl(nGC_123)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZuR_QED2 = cone*real(dZuR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter91
end module ctparameter91
