!******************************************************************************!
!                                                                              !
!    fill_vertices.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_vertices.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_vertices
  use class_vertices
  use vertices_info1
  use vertices_info2
  use vertices_info3
  use vertices_info4
  use vertices_info5
  use vertices_info6
  use vertices_info7
  use vertices_info8
  use vertices_info9
  use vertices_info10
  use vertices_info11
  use vertices_info12
  contains
    subroutine fill_vertices_mdl()
      call fill_vertices_mdl1
      call fill_vertices_mdl2
      call fill_vertices_mdl3
      call fill_vertices_mdl4
      call fill_vertices_mdl5
      call fill_vertices_mdl6
      call fill_vertices_mdl7
      call fill_vertices_mdl8
      call fill_vertices_mdl9
      call fill_vertices_mdl10
      call fill_vertices_mdl11
      call fill_vertices_mdl12
      vertices_filled = .true.
    end subroutine fill_vertices_mdl
    subroutine clear_vertices_mdl
      implicit none
      integer :: i
      do i = 0, n_vertices-1
        if (allocated(vertices(i)%branch)) then
          deallocate(vertices(i)%branch)
        end if
        if (allocated(vertices(i)%branchCT)) then
          deallocate(vertices(i)%branchCT)
        end if
        if (allocated(vertices(i)%branchR2)) then
          deallocate(vertices(i)%branchR2)
        end if
      end do
      vertices_filled = .false.
    end subroutine clear_vertices_mdl
    subroutine reset_vertices_mdl
      use class_particles
      use class_couplings
      use class_ctparameters
      implicit none
      call clear_particles_mdl
      call init_particles_mdl
      call clear_vertices_mdl
      call fill_couplings_mdl
      call init_CTparameters_mdl(.false.)
      call fill_CTcouplings_mdl
      call fill_vertices_mdl
      vertices_filled = .true.
    end subroutine reset_vertices_mdl
end module fill_vertices
